%define name hcc
%define version 0.5.7
%define release 3

Summary: Hany Char Convertor
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/Text
Url: http://www.megaloman.com/~hany/software/hcc/
Vendor: Peter Hanecak <hanecak@megaloman.sk>
Prefix: %{_prefix}
Requires: hd2u

Source: http://www.megaloman.com/~hany/_data/hcc/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/hcc-root

%description
HCC is filter used to replace one character by another character. Usefull
for converting plain texts from one character set to another.

Currently available filters:
	win1250 -> ISO-8859-2
	win1250 -> ASCII (ISO-8859-1)
	ISO-8859-2 -> win1250
	ISO-8859-2 -> ASCII (ISO-8859-1)

%description -l sk
HCC je filter uren na zamieanie znakov pouiten na konvertovanie
plain-text dokumentov z jednej znakovej sady do inej.

Momentlne s dostupn tieto filtre:
	win1250 -> ISO-8859-2
	win1250 -> ASCII (ISO-8859-1)
	ISO-8859-2 -> win1250
	ISO-8859-2 -> ASCII (ISO-8859-1)

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS" prefix="%{_prefix}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
make install BUILD_ROOT="$RPM_BUILD_ROOT" prefix="%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/hcc
%{_prefix}/lib/hcc/*
%{_prefix}/bin/*
%doc AUTHORS COPYING ChangeLog README

%changelog
* Thu May 19 2005 Peter Hanecak <hanecak@megaloman.sk> 0.5.7-2

* Thu Apr 14 2005 Peter Hanecak <hanecak@megaloman.sk> 0.5.7-2

* Thu Oct 23 2003 Peter Hanecak <hanecak@megaloman.sk> 0.5.7-1
- hcc.h, hcc.cc: read/write buffer implemented - increases performance
  about 3 times

* Wed Sep 17 2003 Peter Hanecak <hanecak@megaloman.sk> 0.5.6-1
- src/ct.cc:
  - treat '\' in conversion table file as a line continuation (everything
    after it and it itself is stripped from the line and next line is then
    appended at the end)
  - fixed compilation with GCC 3.x
  - fixed small typos
- ct/hcc.ct:
  - added <0x94>:" translation to win1250-iso88592 and win1250-iso88591 map
  - transformed to use '\' as line continuation (to better handle changes
    using 'diff')
  - reordered translations
  - added <0x8C>:<0xA6>, <0x8F>:<0xAC>, <0x9C>:<0xB6>, <0x9F>:<0xBC>,
    <0xA1>:<0xB7>, <0xA5>:<0xA1> and <0xB9>:<0xB1> translations to
    win1250-iso88592 map
  - added <0x8C>:S, <0x8F>:Z, <0x9C>:s and <0x9F> translations to
    win1250-iso88591 map
  - added <0xA1>:<0xA5>, <0xA6>:<0x8C>, <0xAC>:<0x8F>, <0xB1>:<0xB9>,
    <0xB6>:<0x9C>, <0xB7>:<0xA1> and <0xBC>:<0x9F> translations to
    iso88592-win1250 map (now ISO-8859-2 -> win1250 conversion should be
    complete/loseless)
  - <0xA6>:S, <0xAC>:Z, <0xB6>:s and <0xBC>:z translations to iso88592-cp852
    map
  - added <0x82>,' <0x86>:+, <0x8B>:<0x3C>, <0x91>:', <0x97>:-,
    <0x9B>:<0x3E> and <0xA6>:| translations to win1250-iso88592 and
    win1250-iso88591 maps
- README: fixed small typo

* Tue Aug  5 2003 Peter Hanecak <hanecak@megaloman.sk> 0.5.5-1
- ct/hcc.ct:
  - added <0x92>:' translation to win1250-iso88592 and win1250-iso88591 map
  - synchronized translations in win1250-iso88591 map with win1250-iso88592
    (<0x95>:-, <0x92>:' and <0x93>:")

* Wed Feb 26 2003 Peter Hanecak <hanecak@megaloman.sk> 0.5.4-1
- ct.h, ct.cc: moved some declarations from .h to .cc to avoid compiler
  warnings
- ct.cc, hcc.cc: fixed compilation with GCC 3.x
- spec:
  - group changed from Utilities/Text to Applications/Text
  - s/Copyright/License

* Fri May 31 2002 Peter Hanecak <hanecak@megaloman.sk>
- README:
  - added note to u2w and w2u usage information about possibility of file
    content corruption if conversion is done more than once on same file
  - fixed typo
- ?2? scripts: quoted file name arguments so conversion of files with spaces
  in file name does not fail

* Sat Jan 26 2002 Peter Hanecak <hanecak@megaloman.sk>
[0.5.3-1]
- hcc.ct: fixed typo in 'sv' translation in iso88592-win1250 map
  (thanks to Sano Kurthy <kurthy@sopsr.sk>)
- hcc.cc: fixed missing '#include <string.h>'
- u2w, w2a, w2u: handle command line parameters same way as u2a
  (i.e. differently than old versions! run with '--help' for help)
- README: fixed and updated

* Wed Feb 28 2001 Peter Hanecak <hanecak@megaloman.sk>
[0.5.2-1]
- hcc.ct: added '<0x93>' -> '"' conversion into win1250-iso88592 map
- hcc.ct: fixed 'Lv' and 'e/' translations in iso88592-cp852 map
- Makefile: added '-Wall -pedantic' into 'CCOPT'
- ct.cc: removed unused 'lChar' and 'rChar' variables
- hcc.cc: removed unused 'n1' variable

* Tue Oct 31 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.1-1]
- u2a: process stdin, output is going to stdout, when no parameters
  are given (note: run 'u2a --help' for help)

* Wed Oct 25 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0-1]
- hcc.ct: added iso88592-iso88591 map
- added u2a script
- spec: %%{_prefix} used

* Sat Jul  1 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.4.0]
- mostly Makefile updates and documentation enhancements
- spec tweaks

* Mon Mar 29 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.3.0]
- slovak description added to spec

* Fri Mar 26 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
